varying vec3 normal;
varying vec4 color;

void main()
{
	//normal = normalize(gl_NormalMatrix * gl_Normal);
	normal = gl_Normal;
	//normal = vec3(gl_ModelViewMatrix * vec4(gl_Normal, 0.0));
	color = gl_Color;
	gl_Position = ftransform();
}